#include "help.h"

GtkWidget *about_dialog;

void close_about(GtkWidget *widget, gpointer data)
{
  gtk_widget_hide(about_dialog);
}

void about_glife(GtkWidget *widget, gpointer data)
{
  GtkWidget *button, *message;

  about_dialog = gtk_dialog_new();

  gtk_window_set_title(GTK_WINDOW(about_dialog), "About gLife v0.05 beta");
  gtk_widget_set_usize(GTK_WIDGET(about_dialog), 300, 150);

  /* Add a little button to close the dialog with. */
  button = gtk_button_new_with_label(" OK ");
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->action_area), button,
		     FALSE, FALSE, 0);
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (close_about), NULL);
  gtk_widget_show(button);

  /* And the message. */
  message = gtk_label_new("gLife v0.03 was made by Richard Runds");
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->vbox), message, 
		     FALSE, FALSE, 0);
  gtk_widget_show (message);
  message = gtk_label_new("<md7riru@mdstud.chalmers.se>");
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->vbox), message, 
		     FALSE, FALSE, 0);
  gtk_widget_show (message);
  message = gtk_label_new("Please report any kind of bugs.");
  gtk_box_pack_start(GTK_BOX(GTK_DIALOG(about_dialog)->vbox), message, 
		     TRUE, TRUE, 5);
  gtk_widget_show (message);

  gtk_widget_show(about_dialog);
}
  



