#include <gtk/gtk.h>
#include "life.h"

void *make_toolbar(GtkWidget *window, GtkWidget **toolbar)
{
  GtkWidget *button;

  *toolbar = gtk_hbox_new(FALSE, 0);
  button = gtk_button_new_with_label(" Run ");
  gtk_signal_connect(GTK_OBJECT(button), "clicked",
		     GTK_SIGNAL_FUNC (run_life), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  button = gtk_button_new_with_label(" Step ");
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (step_life), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  button = gtk_button_new_with_label(" Back ");
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (step_life_back), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  button = gtk_button_new_with_label(" Stop ");
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (stop_life), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  button = gtk_button_new_with_label(" Clear ");
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (clear_table), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  button = gtk_button_new_with_label(" Quit ");
  gtk_signal_connect_object(GTK_OBJECT(button), "clicked",
			    GTK_SIGNAL_FUNC (gtk_exit), NULL);
  gtk_box_pack_start(GTK_BOX(*toolbar), button, FALSE, FALSE, 0);
  gtk_widget_show(button);

  return NULL;
}





